
html {
	height: 100%;
	font-family: 'Oxygen';
}

body {
	height: 100%;
	display: flex;
	flex-direction: column;
}

.main {
	flex-grow: 1;
}

h1 {
	font: normal 400 2.25rem/1.2 'Bree serif';
	padding: 2.25rem 0 1rem;
}

h2 {
	font: normal 400 2rem/1.2 'Bree serif';
	padding: 2rem 0 1rem;
}

h3 {
	font: normal 400 1.75rem/1.2 'Bree serif';
	padding: 1.75rem 0 1rem;
}

h4 {
	font: normal 400 1.5rem/1.2 'Bree serif';
	font-weight: 400;
	padding: 1.5rem 0 1rem;
}

h5 {
	font: normal 400 1.25rem/1.2 'Bree serif';
	font-weight: 400;
	padding: 1.25rem 0 1rem;
}

h6 {
	font: normal 400 1rem/1.2 'Bree serif';
	font-weight: 400;
	padding: 1rem 0;
}

h1 + h2, h2 + h3, h3 + h4, h4 + h5, h5 + h6 {
	padding-top: 0;
}

p {
	padding-bottom: 1rem;
}

ul, ol {
	padding-bottom: 1rem;
}

ul {
	list-style: circle;
}

a, .link {
	font-weight: 700;
	color: #2779BD;
	cursor: pointer;
	text-decoration: underline;
}

a:hover, .link:hover {
	text-decoration: none;
}

table {
	width: calc(100% - 1rem);
	margin-left: 1rem;
	margin-bottom: 1rem;
	border-collapse: collapse;
}

tr {
	border-bottom: 1px solid #B8C2CC;
}

thead tr {
	border-color: #22292f;
}

td, th {
	padding: .5rem .75rem;
}

code {
	padding: 2px;
	background: #eee;
	border: 1px solid #ddd;
	border-radius: 2px;
}

.border-all td {
	border-width: 1px;
}

.mainHeading {
	font: normal 400 3rem/1 'Bree serif';
}

.mainTitle {
	margin-bottom: 2rem;
	border-bottom: 1px solid #22292f;
}

.linkTransition {
	transition: .25s;
}

.php {
	padding: .75rem 1rem;
	margin: 0 10% 2rem 1rem;
	line-height: 1.4;
	font-family: 'Roboto Mono', monospace;
	font-size: .85rem;
	font-weight: 700;
	color: #3d4852;
	background: #F8FAFC;
	border: 1px solid #DAE1E7;
	border-radius: .5rem
}

.php + h2, .php + h3, .php + h4, .php + h5, .php + h6 {
	padding-top: 1rem;
}

.php__comment { color: #8795A1; }
.php__var { color: #613B1F; }
.php__syntax { color: #3490DC; }
.php__str { color: #DE751F; }
.php__num { color: #CC1F1A; }
.php__obj { color: #1F9D55; }
.php__fun { color: #EB5286; }

.tip {
	display: flex;
	margin-bottom: 1rem;
}

.tip__title {
	padding-top: 1rem;
	padding-right: .5rem;
}

.tip__text {
	width: 83.33333%;
	padding: 1rem;
	background: #eff8ff;
	border: 1px solid #bcdefa;
	border-radius: .25rem;
}

.menuPage {
	padding-top: .75rem;
	margin-left: -1rem;
}

.menuPage__link {
	float: left;
	padding: .5rem 1rem;
	margin-right: 1rem;
	margin-bottom: .75rem;
	color: #22292F;
	text-decoration: none;
	border: 1px solid #B8C2CC;
	border-radius: .5rem;
}

.menuPage__link:hover {
	text-decoration: underline;
}

.menuPage__link--active {
	color: #fff;
	background: #1c3d5a;
	border-color: #1c3d5a;
}

.menuPage__link--text {
	border-color: #fff;
}

.menuPage__link--text:hover {
	text-decoration: none;
}